RDKit: RDKit::v1::SmilesParserParams Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Attributes | List of all members
RDKit::v1::SmilesParserParams Struct Reference

`#include <SmilesParse.h>`

## Public Attributes
int | debugParse = 0
bool | sanitize = true
std::map< std::string, std::string > * | replacements
bool | allowCXSMILES = true
bool | strictCXSMILES
bool | parseName = true
bool | removeHs = true
bool | skipCleanup = false

## Detailed Description

Definition at line 92 of file SmilesParse.h.

## Member Data Documentation

## ◆ allowCXSMILES

bool RDKit::v1::SmilesParserParams::allowCXSMILES = true

recognize and parse CXSMILES

Definition at line 97 of file SmilesParse.h.

## ◆ debugParse

int RDKit::v1::SmilesParserParams::debugParse = 0

enable debugging in the SMILES parser

Definition at line 93 of file SmilesParse.h.

## ◆ parseName

bool RDKit::v1::SmilesParserParams::parseName = true

parse (and set) the molecule name as well

Definition at line 100 of file SmilesParse.h.

## ◆ removeHs

bool RDKit::v1::SmilesParserParams::removeHs = true

remove Hs after constructing the molecule

Definition at line 101 of file SmilesParse.h.

## ◆ replacements

std::map<std::string, std::string>* RDKit::v1::SmilesParserParams::replacements

Initial value:
=
nullptr

allows SMILES "macros"

Definition at line 95 of file SmilesParse.h.

## ◆ sanitize

bool RDKit::v1::SmilesParserParams::sanitize = true

sanitize the molecule after building it

Definition at line 94 of file SmilesParse.h.

## ◆ skipCleanup

bool RDKit::v1::SmilesParserParams::skipCleanup = false

skip the final cleanup stage

Definition at line 102 of file SmilesParse.h.

## ◆ strictCXSMILES

bool RDKit::v1::SmilesParserParams::strictCXSMILES

Initial value:
=
true

throw an exception if the CXSMILES parsing fails

Definition at line 98 of file SmilesParse.h.

The documentation for this struct was generated from the following file:

- SmilesParse.h